playMaker

Author Topic: Unity Ads - Set Debug Level - error  (Read 205 times)

Broken Stylus

  • Full Member
  • ***
  • Posts: 105
    • View Profile
Unity Ads - Set Debug Level - error
« on: October 15, 2018, 06:46:25 AM »
Got this error in the console:

Quote
Assets/PlayMaker Custom Actions/UnityAds/UnityAdsSetDebugLevel.cs(24,24): error CS0426: The nested type `DebugLevel' does not exist in the type `UnityEngine.Advertisements.Advertisement'

A missing definition is suggested.
Here's what is displayed in monodevelop:

Ah sorry, I missed the following line:

Code: [Select]
#if UNITY_5_6_OR_NEWER
[Obsolete("Use UnityAdsSetDebugMode instead")]

I got the actions from the Ecosystem. On 1.8.8.
Are there several versions of the "same" actions?
« Last Edit: October 15, 2018, 06:52:20 AM by Broken Stylus »

Broken Stylus

  • Full Member
  • ***
  • Posts: 105
    • View Profile
Re: Unity Ads - Set Debug Level - error
« Reply #1 on: October 15, 2018, 07:03:22 AM »
Big mess. There's an action called Set Debug Level, which I removed.
Once the action is deleted (it's obsolete), now it's Set Campaign Data URL that's sending an error:

Quote
Assets/PlayMaker Custom Actions/UnityAds/UnityAdsSetCampaignDataURL.cs(30,19): error CS0117: `UnityEngine.Advertisements.Advertisement' does not contain a definition for `SetCampaignDataURL'

What is going on?
I have activated the Unity Ads service and the latest SDK is installed too. All on 2017.4.

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14014
  • Official Playmaker Support
    • View Profile
Re: Unity Ads - Set Debug Level - error
« Reply #2 on: October 18, 2018, 01:21:05 AM »
Hi,

 Unity Ads packages are very messy because you have it on the asset store and built in. you need to check which one you need for your version.

 Bye,

 Jean